/*
 * File: modedet.h
 * Detection of the modes of a distribution
 * 
 * Copyright 2003 Mathieu Goutelle (INRIA, France)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as published
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * A copy of the GNU GPL is available as /usr/doc/copyright/GPL on Debian
 * systems, or on the World Wide Web at http://www.gnu.org/copyleft/gpl.html
 * You can also obtain it by writing to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * CVSid $Id: modedet.h,v 1.1 2003/12/15 13:59:23 mgoutell Exp $
 */

#ifndef __MODEDET_H__
#define __MODEDET_H__

#define NB_MODES 100

struct mode {
  int ltmin ;     /* Left minimum of the mode  */
  int max ;       /* Maximum of the mode       */
  int rtmin ;     /* Right minimum of the mode */
  double avg;     /* Weigthed average          */
  int pop;        /* Nb samples in the mode    */
};

int detect_modes(double *mesures, int nb_mes, double pas, struct mode* result);

int extract_capa_mode(struct mode *cm, int nb_cm, struct mode *modes, int nb_modes, int nb_mes);

#endif
